
#ifdef _WIN32
#include <windows.h>
#include <mmsystem.h>
#endif

/* Some <math.h> files do not define M_PI... */
#ifndef M_PI
#define M_PI 3.14159265358979323846
#endif

#ifdef _WIN32
#define drand48() (((float) rand())/((float) RAND_MAX))
#define srand48(x) (srand((x)))
#endif


typedef struct point3f 
{
	float x,y,z;
} Point3f;


int CreateAsteroid(int level,float Scale, float PowExp,int seed);

void glPrintf(GLuint x, GLuint y, GLfloat scale, char* format, ...);
float Lenght(Point3f *d);
void CrossProduct(Point3f *d,Point3f *p1, Point3f *p2);
void Normalize(Point3f *d);
void FaceNormal(Point3f *norm, Point3f *v1, Point3f *v2, Point3f *v3);

float FPS(int LastFrameTime);
